> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeexpressltd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the low-balance alert

> Requires the `wallet:write` scope.



## OpenAPI

````yaml /api-reference/openapi.json patch /fleet
openapi: 3.1.0
info:
  title: ChargeExpress Fleet API
  version: v1
  description: >-
    Manage your fleet’s drivers, vehicles, limits, charging and wallet, and
    receive webhooks.


    Scopes: `fleet:read` (Read the fleet, drivers, vehicles, sessions, wallet,
    invoices and events); `drivers:write` (Create, update, suspend and remove
    drivers); `vehicles:write` (Create, update and retire vehicles);
    `limits:write` (Change fleet and driver charging limits); `wallet:write`
    (Fund the wallet, pay usage invoices and set the low-balance alert);
    `webhooks:write` (Manage webhook endpoints and redeliver events).
servers:
  - url: https://partners.chargeexpressltd.com/api/public/v1
    description: Production
  - url: https://stage.partners.chargeexpressltd.com/api/public/v1
    description: Stage
security:
  - apiKey: []
paths:
  /fleet:
    patch:
      tags:
        - Fleet
      summary: Set the low-balance alert
      description: Requires the `wallet:write` scope.
      operationId: setLowBalanceAlert
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                low_balance_threshold_kwh:
                  anyOf:
                    - type: string
                    - type: number
                    - type: 'null'
              required:
                - low_balance_threshold_kwh
              additionalProperties: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Fleet'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The key lacks the scope this request needs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Conflict with the current state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Fleet:
      type: object
      properties:
        object:
          type: string
          enum:
            - fleet
        id:
          type: string
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        status:
          type: string
          enum:
            - active
            - inactive
            - pending
            - rejected
        contact_phone:
          type:
            - string
            - 'null'
        unit_price:
          type: string
          description: GHS per kWh
          example: '125.50'
        currency:
          type: string
          enum:
            - GHS
        low_balance_threshold_kwh:
          type:
            - string
            - 'null'
          description: wallet.low_balance fires below this
          example: '12.5000'
        created_at:
          type: string
          format: date-time
      required:
        - object
        - id
        - name
        - description
        - status
        - contact_phone
        - unit_price
        - currency
        - low_balance_threshold_kwh
        - created_at
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - authentication_error
                - permission_error
                - invalid_request_error
                - rate_limit_error
                - api_error
            code:
              type: string
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - request_id
      required:
        - error
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Your fleet API key, e.g. `Authorization: Bearer cxk_live_…`. Create keys
        in the fleet portal under Developers.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.